Subject: Mplayer on 1.5.x/i386, was Re: Mplayer
To: Wojciech Puchar <>
From: Frederick Bruckman <>
List: tech-pkg
Date: 04/26/2002 06:10:46
	> I've tried to install mplayer using the source on
	> my machine. I went into the pkgsrc directory and
	> typed make. But I've got:
	> ===> mplayer-0.60nb2 is not available for NetBSD-1.5.1-i386
	it needs never assembler.

	put it in /usr/local/bin (from current), fix makefile so it won't
	say it's not available and go.

Hey, that almost works. I built the portable binutils, libiberty,
and gas from the current src/gnu/toolchain directory; installed gas;
exported MAKE_ENV='GCC_EXEC_PREFIX=/usr/local/bin',
ONLY_FOR_PLATFORM='NetBSD-1.[5-9]*-i386', and
MAKECONF='/usr/pkg/etc/'; and now I have mplayer on
1.5.3/i386!!! Pretty neat program -- -framedrop lets me play some
things that I couldn't play before, with aviplay.

Maybe we should package "gas" for 1.5.3*, to build this package with?
Please follow-up to tech-pkg.